/**************************************************************************
 * RSCGTREE.C - rsc_gtrees() function.
 *************************************************************************/

#include "gemfintl.h"

#ifdef GEMFAST_PROTOS
  void rsc_gtrees(short idx, OBJECT **pptree, ...)
#else
  void rsc_gtrees(idx, pptree)
	short idx;
	OBJECT **pptree;
#endif
{
	va_list args;

	va_start(args, pptree);
	while (idx >= 0) {
		rsrc_gaddr(R_TREE, idx, pptree);
		idx    = va_arg(args, short);
		pptree = va_arg(args, OBJECT **);
	}
	va_end(args);
}


